<template>
    <v-card :to="'/detail/rezervace/'+item.id">
        <v-card-title>Prohlídka: {{this.prohlidkaNazev}}</v-card-title>
        <v-card-text>
            Pacient: {{this.pacientJmeno}}<br />
            Termín: {{item.termin}}<br />
            Poznámka: {{item.poznamka}}
        </v-card-text>
        <v-card-actions>
            <v-spacer />
            <v-btn v-on:click="zrusit">
                <v-icon>mdi-delete</v-icon>
            </v-btn>
        </v-card-actions>
    </v-card>
</template>

<script>
    export default {
        data() {
            return {
                pacientJmeno: "",
                prohlidkaNazev: ""
            };
        },
        props: {
            item: {}
        },

        async mounted() {
            const resProhlidka = await this.$axios.get('/api/Prohlidka/' + this.item.idProhlidka);
            const prohlidka = resProhlidka.data;
            this.prohlidkaNazev = prohlidka.nazev;

            const resPacient = await this.$axios.get('/api/Pacient/' + this.item.idPacient);
            const pacient = resPacient.data;
            this.pacientJmeno = pacient.jmeno;
        },
        methods: {
            zrusit: async function (event) {
                await this.$axios.delete('/api/Rezervace/' + this.item.id)
                    .then(res => {
                        console.log(res.data);
                    })
                    .catch((err) => {
                        console.log(err);
                    })
                    .then(res => {
                        location.href = '/Rezervace';
                    }) 
            }
        }
    }

</script>
